cards
Charge a card
POST
/
api
/
cards
/
{card_id}
/
charge
Charge a card
curl --request POST \
--url https://api.fluid.app/api/cards/{card_id}/charge \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/cards/{card_id}/charge"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/cards/{card_id}/charge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"amount": 123,
"card": {
"card_network": "<string>",
"default": true,
"email": null,
"first_six_digits": "<string>",
"full_name": "<string>",
"id": 123,
"last_four_digits": "<string>",
"month": 123,
"source": "<string>",
"year": 123
},
"currency_code": "<string>",
"id": 123,
"message": "<string>",
"order_number": "<string>",
"state": "<string>",
"succeeded": true
}{
"message": "<string>"
}Authorizations
Bearer token authentication
Path Parameters
⌘I
Charge a card
